JTS Topology Suite - v 1.12

## com.vividsolutions.jts.index.bintree
Class Root

    java.lang.Object
      com.vividsolutions.jts.index.bintree.NodeBase
          com.vividsolutions.jts.index.bintree.Root

    public class Root

extends NodeBase

The root node of a single `Bintree`. It is centred at the origin, and does not have a defined extent.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.index.bintree.NodeBase
`items, subnode`

Constructor Summary
`Root()`

Method Summary
`void` `insert(Interval itemInterval, java.lang.Object item)` Insert an item into the tree this is the root of.
`protected boolean` `isSearchMatch(Interval interval)` The root node matches all searches

Methods inherited from class com.vividsolutions.jts.index.bintree.NodeBase
`add, addAllItems, addAllItemsFromOverlapping, getItems, getSubnodeIndex, hasChildren, hasItems, isPrunable, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Root

    public Root()

Method Detail

### insert

    public void insert(Interval itemInterval,
                       java.lang.Object item)

  Insert an item into the tree this is the root of.

### isSearchMatch

    protected boolean isSearchMatch(Interval interval)

  The root node matches all searches

  Specified by:
    `isSearchMatch` in class `NodeBase`

JTS Topology Suite - v 1.12